# DaprProtos.SubscribeConfigurationRequest.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.SubscribeConfigurationRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubscribeConfigurationRequest.Builder>
      - - io.dapr.v1.DaprProtos.SubscribeConfigurationRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.SubscribeConfigurationRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.SubscribeConfigurationRequest

    public static final class DaprProtos.SubscribeConfigurationRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubscribeConfigurationRequest.Builder>
    implements DaprProtos.SubscribeConfigurationRequestOrBuilder

     SubscribeConfigurationRequest is the message to get a list of key-value configuration from specified configuration store.

Protobuf type `dapr.proto.runtime.v1.SubscribeConfigurationRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`DaprProtos.SubscribeConfigurationRequest.Builder` `addAllKeys​(Iterable<String> values)` Optional.
`DaprProtos.SubscribeConfigurationRequest.Builder` `addKeys​(String value)` Optional.
`DaprProtos.SubscribeConfigurationRequest.Builder` `addKeysBytes​(com.google.protobuf.ByteString value)` Optional.
`DaprProtos.SubscribeConfigurationRequest.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.SubscribeConfigurationRequest` `build()`
`DaprProtos.SubscribeConfigurationRequest` `buildPartial()`
`DaprProtos.SubscribeConfigurationRequest.Builder` `clear()`
`DaprProtos.SubscribeConfigurationRequest.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.SubscribeConfigurationRequest.Builder` `clearKeys()` Optional.
`DaprProtos.SubscribeConfigurationRequest.Builder` `clearMetadata()`
`DaprProtos.SubscribeConfigurationRequest.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.SubscribeConfigurationRequest.Builder` `clearStoreName()` The name of configuration store.
`DaprProtos.SubscribeConfigurationRequest.Builder` `clone()`
`boolean` `containsMetadata​(String key)` The metadata which will be sent to configuration store components.
`DaprProtos.SubscribeConfigurationRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getKeys​(int index)` Optional.
`com.google.protobuf.ByteString` `getKeysBytes​(int index)` Optional.
`int` `getKeysCount()` Optional.
`com.google.protobuf.ProtocolStringList` `getKeysList()` Optional.
`Map<String,​String>` `getMetadata()` Deprecated.
`int` `getMetadataCount()` The metadata which will be sent to configuration store components.
`Map<String,​String>` `getMetadataMap()` The metadata which will be sent to configuration store components.
`String` `getMetadataOrDefault​(String key, String defaultValue)` The metadata which will be sent to configuration store components.
`String` `getMetadataOrThrow​(String key)` The metadata which will be sent to configuration store components.
`Map<String,​String>` `getMutableMetadata()` Deprecated.
`String` `getStoreName()` The name of configuration store.
`com.google.protobuf.ByteString` `getStoreNameBytes()` The name of configuration store.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`protected com.google.protobuf.MapField` `internalGetMutableMapField​(int number)`
`boolean` `isInitialized()`
`DaprProtos.SubscribeConfigurationRequest.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.SubscribeConfigurationRequest.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprProtos.SubscribeConfigurationRequest.Builder` `mergeFrom​(DaprProtos.SubscribeConfigurationRequest other)`
`DaprProtos.SubscribeConfigurationRequest.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.SubscribeConfigurationRequest.Builder` `putAllMetadata​(Map<String,​String> values)` The metadata which will be sent to configuration store components.
`DaprProtos.SubscribeConfigurationRequest.Builder` `putMetadata​(String key, String value)` The metadata which will be sent to configuration store components.
`DaprProtos.SubscribeConfigurationRequest.Builder` `removeMetadata​(String key)` The metadata which will be sent to configuration store components.
`DaprProtos.SubscribeConfigurationRequest.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.SubscribeConfigurationRequest.Builder` `setKeys​(int index, String value)` Optional.
`DaprProtos.SubscribeConfigurationRequest.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.SubscribeConfigurationRequest.Builder` `setStoreName​(String value)` The name of configuration store.
`DaprProtos.SubscribeConfigurationRequest.Builder` `setStoreNameBytes​(com.google.protobuf.ByteString value)` The name of configuration store.
`DaprProtos.SubscribeConfigurationRequest.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubscribeConfigurationRequest.Builder>`

#### internalGetMutableMapField

    protected com.google.protobuf.MapField internalGetMutableMapField​(int number)

Overrides:
  `internalGetMutableMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubscribeConfigurationRequest.Builder>`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubscribeConfigurationRequest.Builder>`

#### clear

    public DaprProtos.SubscribeConfigurationRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubscribeConfigurationRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubscribeConfigurationRequest.Builder>`

#### getDefaultInstanceForType

    public DaprProtos.SubscribeConfigurationRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprProtos.SubscribeConfigurationRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprProtos.SubscribeConfigurationRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprProtos.SubscribeConfigurationRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubscribeConfigurationRequest.Builder>`

#### setField

    public DaprProtos.SubscribeConfigurationRequest.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                     Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubscribeConfigurationRequest.Builder>`

#### clearField

    public DaprProtos.SubscribeConfigurationRequest.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubscribeConfigurationRequest.Builder>`

#### clearOneof

    public DaprProtos.SubscribeConfigurationRequest.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubscribeConfigurationRequest.Builder>`

#### setRepeatedField

    public DaprProtos.SubscribeConfigurationRequest.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                             int index,
                                                                             Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubscribeConfigurationRequest.Builder>`

#### addRepeatedField

    public DaprProtos.SubscribeConfigurationRequest.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                             Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubscribeConfigurationRequest.Builder>`

#### mergeFrom

    public DaprProtos.SubscribeConfigurationRequest.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.SubscribeConfigurationRequest.Builder>`

#### mergeFrom

    public DaprProtos.SubscribeConfigurationRequest.Builder mergeFrom​(DaprProtos.SubscribeConfigurationRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubscribeConfigurationRequest.Builder>`

#### mergeFrom

    public DaprProtos.SubscribeConfigurationRequest.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                               throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.SubscribeConfigurationRequest.Builder>`
Throws:
  `IOException`

#### getStoreName

    public String getStoreName()

     The name of configuration store.

`string store_name = 1;`

Specified by:
  `getStoreName` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`
Returns:
  The storeName.

#### getStoreNameBytes

    public com.google.protobuf.ByteString getStoreNameBytes()

     The name of configuration store.

`string store_name = 1;`

Specified by:
  `getStoreNameBytes` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`
Returns:
  The bytes for storeName.

#### setStoreName

    public DaprProtos.SubscribeConfigurationRequest.Builder setStoreName​(String value)

     The name of configuration store.

`string store_name = 1;`

Parameters:
  `value` - The storeName to set.
Returns:
  This builder for chaining.

#### clearStoreName

    public DaprProtos.SubscribeConfigurationRequest.Builder clearStoreName()

     The name of configuration store.

`string store_name = 1;`

Returns:
  This builder for chaining.

#### setStoreNameBytes

    public DaprProtos.SubscribeConfigurationRequest.Builder setStoreNameBytes​(com.google.protobuf.ByteString value)

     The name of configuration store.

`string store_name = 1;`

Parameters:
  `value` - The bytes for storeName to set.
Returns:
  This builder for chaining.

#### getKeysList

    public com.google.protobuf.ProtocolStringList getKeysList()

     Optional. The key of the configuration item to fetch.
     If set, only query for the specified configuration items.
     Empty list means fetch all.

`repeated string keys = 2;`

Specified by:
  `getKeysList` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`
Returns:
  A list containing the keys.

#### getKeysCount

    public int getKeysCount()

     Optional. The key of the configuration item to fetch.
     If set, only query for the specified configuration items.
     Empty list means fetch all.

`repeated string keys = 2;`

Specified by:
  `getKeysCount` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`
Returns:
  The count of keys.

#### getKeys

    public String getKeys​(int index)

     Optional. The key of the configuration item to fetch.
     If set, only query for the specified configuration items.
     Empty list means fetch all.

`repeated string keys = 2;`

Specified by:
  `getKeys` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The keys at the given index.

#### getKeysBytes

    public com.google.protobuf.ByteString getKeysBytes​(int index)

     Optional. The key of the configuration item to fetch.
     If set, only query for the specified configuration items.
     Empty list means fetch all.

`repeated string keys = 2;`

Specified by:
  `getKeysBytes` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the keys at the given index.

#### setKeys

    public DaprProtos.SubscribeConfigurationRequest.Builder setKeys​(int index,
                                                                    String value)

     Optional. The key of the configuration item to fetch.
     If set, only query for the specified configuration items.
     Empty list means fetch all.

`repeated string keys = 2;`

Parameters:
  `index` - The index to set the value at.
  `value` - The keys to set.
Returns:
  This builder for chaining.

#### addKeys

    public DaprProtos.SubscribeConfigurationRequest.Builder addKeys​(String value)

     Optional. The key of the configuration item to fetch.
     If set, only query for the specified configuration items.
     Empty list means fetch all.

`repeated string keys = 2;`

Parameters:
  `value` - The keys to add.
Returns:
  This builder for chaining.

#### addAllKeys

    public DaprProtos.SubscribeConfigurationRequest.Builder addAllKeys​(Iterable<String> values)

     Optional. The key of the configuration item to fetch.
     If set, only query for the specified configuration items.
     Empty list means fetch all.

`repeated string keys = 2;`

Parameters:
  `values` - The keys to add.
Returns:
  This builder for chaining.

#### clearKeys

    public DaprProtos.SubscribeConfigurationRequest.Builder clearKeys()

     Optional. The key of the configuration item to fetch.
     If set, only query for the specified configuration items.
     Empty list means fetch all.

`repeated string keys = 2;`

Returns:
  This builder for chaining.

#### addKeysBytes

    public DaprProtos.SubscribeConfigurationRequest.Builder addKeysBytes​(com.google.protobuf.ByteString value)

     Optional. The key of the configuration item to fetch.
     If set, only query for the specified configuration items.
     Empty list means fetch all.

`repeated string keys = 2;`

Parameters:
  `value` - The bytes of the keys to add.
Returns:
  This builder for chaining.

#### getMetadataCount

    public int getMetadataCount()

Description copied from interface: `DaprProtos.SubscribeConfigurationRequestOrBuilder`

     The metadata which will be sent to configuration store components.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataCount` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`

#### containsMetadata

    public boolean containsMetadata​(String key)

     The metadata which will be sent to configuration store components.

`map<string, string> metadata = 3;`

Specified by:
  `containsMetadata` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`

#### getMetadata

    @Deprecated
    public Map<String,​String> getMetadata()

Deprecated.
Use `getMetadataMap()` instead.

Specified by:
  `getMetadata` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`

#### getMetadataMap

    public Map<String,​String> getMetadataMap()

     The metadata which will be sent to configuration store components.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataMap` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`

#### getMetadataOrDefault

    public String getMetadataOrDefault​(String key,
                                       String defaultValue)

     The metadata which will be sent to configuration store components.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataOrDefault` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`

#### getMetadataOrThrow

    public String getMetadataOrThrow​(String key)

     The metadata which will be sent to configuration store components.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataOrThrow` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`

#### clearMetadata

    public DaprProtos.SubscribeConfigurationRequest.Builder clearMetadata()

#### removeMetadata

    public DaprProtos.SubscribeConfigurationRequest.Builder removeMetadata​(String key)

     The metadata which will be sent to configuration store components.

`map<string, string> metadata = 3;`

#### getMutableMetadata

    @Deprecated
    public Map<String,​String> getMutableMetadata()

Deprecated.
Use alternate mutation accessors instead.

#### putMetadata

    public DaprProtos.SubscribeConfigurationRequest.Builder putMetadata​(String key,
                                                                        String value)

     The metadata which will be sent to configuration store components.

`map<string, string> metadata = 3;`

#### putAllMetadata

    public DaprProtos.SubscribeConfigurationRequest.Builder putAllMetadata​(Map<String,​String> values)

     The metadata which will be sent to configuration store components.

`map<string, string> metadata = 3;`

#### setUnknownFields

    public final DaprProtos.SubscribeConfigurationRequest.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubscribeConfigurationRequest.Builder>`

#### mergeUnknownFields

    public final DaprProtos.SubscribeConfigurationRequest.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubscribeConfigurationRequest.Builder>`